<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from moc_rot90.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="moc_rot90" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>moc_rot90</refname>
    <refpurpose>rotates the given matrix clockwise by 90 degrees.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y = moc_rot90 (x, k)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
Return a copy of x with the elements rotated counterclockwise in
90-degree increments.  The second argument is optional, and specifies
how many 90-degree rotations are to be applied (the default value is 1).
Negative values of n rotate the matrix in a clockwise direction.
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
moc_rot90 ([1, 2; 3, 4], -1)
   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>John W. Eaton</member>
   </simplelist>
</refsection>
</refentry>
